Exiv2::Internal::TiffMapping Class Reference

Table of TIFF decoding and encoding functions and find functions. This class is separated from the metadata decoder and encoder visitors so that the parser can be parametrized with a different table if needed. This is used, eg., for CR2 format, which uses a different decoder table. More...

`#include <tiffimage_int.hpp>`

## Static Public Member Functions

static DecoderFct | findDecoder (const std::string &make, uint32_t extendedTag, IfdId group)
| Find the decoder function for a key. More...
static EncoderFct | findEncoder (const std::string &make, uint32_t extendedTag, IfdId group)
| Find special encoder function for a key. More...

## Detailed Description

Table of TIFF decoding and encoding functions and find functions. This class is separated from the metadata decoder and encoder visitors so that the parser can be parametrized with a different table if needed. This is used, eg., for CR2 format, which uses a different decoder table.

## Member Function Documentation

## findDecoder()

DecoderFct Exiv2::Internal::TiffMapping::findDecoder | ( | const std::string & | make,
|  | uint32_t | extendedTag,
|  | IfdId | group
| ) |  |

static

Find the decoder function for a key.

If the returned pointer is 0, the tag should not be decoded, else the decoder function should be used.

Parameters

  make | Camera make
  extendedTag | Extended tag
  group | Group

Returns
  Pointer to the decoder function

References Exiv2::Internal::TiffMappingInfo::decoderFct_, Exiv2::Internal::TiffDecoder::decodeStdTiffEntry(), Exiv2::find(), and Exiv2::make().

Referenced by Exiv2::Cr2Parser::decode(), Exiv2::OrfParser::decode(), Exiv2::Rw2Parser::decode(), and Exiv2::TiffParser::decode().

## findEncoder()

EncoderFct Exiv2::Internal::TiffMapping::findEncoder | ( | const std::string & | make,
|  | uint32_t | extendedTag,
|  | IfdId | group
| ) |  |

static

Find special encoder function for a key.

If the returned pointer is 0, the tag should be encoded with the encoder function of the TIFF component, else the encoder function should be used.

Parameters

  make | Camera make
  extendedTag | Extended tag
  group | Group

Returns
  Pointer to the encoder function

References Exiv2::Internal::TiffMappingInfo::encoderFct_, Exiv2::find(), and Exiv2::make().

Referenced by Exiv2::Cr2Parser::encode(), Exiv2::OrfParser::encode(), Exiv2::TiffParser::encode(), and Exiv2::ExifParser::encode().

The documentation for this class was generated from the following files:

- tiffimage_int.hpp
- tiffimage_int.cpp